## gpe-icons 0.20

=== Makefile ===
PREFIX = /usr/local
PACKAGE = gpe-icons
PIXMAPS = close.png copy.png cut.png exit.png new.png open.png paste.png save.png save_as.png home.png future_view.png day_view.png week_view.png month_view.png year_view.png cancel.png empty.png properties.png search.png search_and_replace.png delete.png ok.png error.png lock.png lock16.png clock.png stop_clock.png dir-open.png dir-closed.png dir-up.png media-play.png media-pause.png media-stop.png media-fwd.png media-rew.png media-next.png media-prev.png media-eject.png what.png clean.png hide.png help.png question.png about.png left.png right.png highscores.png stop.png preferences.png up.png refresh.png tux-48.png bell.png bell_recur.png recur.png edit.png warning16.png tick.png bt-logo.png loading.png list-view.png icon-view.png clock-popup.png
MONOCHROME = no

# these are icons that are in CVS for completeness but are not actually used anywhere yet:
# warning48.png

ifeq ($(MONOCHROME),yes)
PIXMAPS_DIR = default-monochrome
else
PIXMAPS_DIR = default
endif

all:

PIXMAPS_DIR = default

install:
	for i in $(PIXMAPS); do install -m 644 -D $(PIXMAPS_DIR)/$$i $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/$$i; done
	install -D -m 644 gpe-logo.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/gpe-logo.png

clean:

upstream: clean
	( VERSION=`dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1`; cd ..; cp -a $(PACKAGE) $(PACKAGE)-$$VERSION.orig; tar czf $(PACKAGE)_$$VERSION.orig.tar.gz --exclude=$(PACKAGE)-$$VERSION.orig/debian --exclude=$(PACKAGE)-$$VERSION.orig/CVS --exclude=$(PACKAGE)-$$VERSION.orig/familiar --exclude=$(PACKAGE)-$$VERSION.orig/default/CVS $(PACKAGE)-$$VERSION.orig ; rm -rf $(PACKAGE)-$$VERSION.orig )

dpkg: upstream
	( VERSION=`dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1`; TMP=/var/tmp/debian/$(PACKAGE); PV=$(PACKAGE)-$$VERSION; rm -rf $$TMP; mkdir -p $$TMP; cp ../$(PACKAGE)_$$VERSION.orig.tar.gz $$TMP; (cd $$TMP; tar xzf $(PACKAGE)_$$VERSION.orig.tar.gz ; mv $$PV.orig $$PV ); mkdir -p $$TMP/$$PV/debian; cp debian/* $$TMP/$$PV/debian; cd $$TMP/$$PV; fakeroot dpkg-buildpackage  ; cd ..; rm -rf $$PV)

ipkg:
	rm -rf familiar/dist
	mkdir -p familiar/dist/CONTROL
	cp familiar/control familiar/dist/CONTROL/control
	make DESTDIR=`pwd`/familiar/dist PREFIX=/usr install
	chown -R root.root familiar/dist
	ipkg-build familiar/dist

=== debian/changelog ===
gpe-icons (0.07-1) unstable; urgency=low

  * New upstream version

 -- Philip Blundell <pb@debian.org>  Wed, 10 Jul 2002 21:44:26 +0100

gpe-icons (0.04-1) unstable; urgency=low

  * Initial Release.

 -- Philip Blundell <pb@debian.org>  Sun, 16 Jun 2002 15:32:44 +0100

## gpe-icons 0.25

=== Makefile ===
PREFIX = /usr/local
PACKAGE = gpe-icons
PIXMAPS = close.png copy.png cut.png exit.png new.png open.png paste.png save.png save_as.png home.png future_view.png day_view.png week_view.png month_view.png year_view.png cancel.png empty.png properties.png search.png search_and_replace.png delete.png ok.png error.png lock.png lock16.png clock.png stop_clock.png dir-open.png dir-closed.png dir-up.png media-play.png media-pause.png media-stop.png media-fwd.png media-rew.png media-next.png media-prev.png media-eject.png what.png clean.png hide.png help.png question.png about.png left.png right.png highscores.png stop.png preferences.png up.png refresh.png tux-48.png bell.png bell_recur.png recur.png edit.png warning16.png tick.png bt-logo.png loading.png list-view.png icon-view.png clock-popup.png send_and_recieve.png
AUDIO_PIXMAPS = bass.png cd.png line.png mic.png pcm.png speaker.png synth.png treble.png unkn.png volume.png
MONOCHROME = no
CVSBUILD = no
VERSION = 0.25

PIXMAPS += $(AUDIO_PIXMAPS)

# these are icons that are in CVS for completeness but are not actually used anywhere yet:
# warning48.png

ifeq ($(MONOCHROME),yes)
PIXMAPS_DIR = default-monochrome
else
PIXMAPS_DIR = default
endif

all:

PIXMAPS_DIR = default

install-program:
	for i in $(PIXMAPS); do install -m 644 -D $(PIXMAPS_DIR)/$$i $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/default/$$i; done
	install -D -m 644 gpe-logo.png $(DESTDIR)$(PREFIX)/share/gpe/pixmaps/gpe-logo.png

clean:

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

include $(BUILD)/Makefile.dpkg_ipkg

## gpe-icons 2.8%2bmaemo%2bsvn20090911-1

=== debian/changelog ===
gpe-icons (2.8+maemo+svn20090911-1) unstable; urgency=low

  * MUD build using revision {20090911}

 -- Graham Cobb <g+770@cobb.uk.net>  Fri, 11 Sep 2009 07:19:12 +0100

gpe-icons (0.20-2) unstable; urgency=low

  * Add long package description in debian/control. Closes: #209511.
  * Fix debian/rules to install package changelog.
  * Alter debian/copyright to appease lintian.

 -- Moray Allan <moray@sermisy.org>  Sat,  8 Nov 2003 23:01:40 +0000

## gpe-icons 2.8%2bmaemo%2bsvn20090912-1

=== debian/changelog ===
gpe-icons (2.8+maemo+svn20090912-1) unstable; urgency=low

  * MUD build using revision {20090912}

 -- Graham Cobb <g+770@cobb.uk.net>  Sat, 12 Sep 2009 07:19:59 +0100

## gpe-icons 2.8%2bmaemo%2bsvn20090916-1

=== debian/changelog ===
gpe-icons (2.8+maemo+svn20090916-1) unstable; urgency=low

  * MUD build using revision {20090916}

 -- Graham Cobb <g+770@cobb.uk.net>  Wed, 16 Sep 2009 21:00:23 +0100

## gpe-icons 2.8%2bmaemo%2bsvn20090920-1

=== debian/changelog ===
gpe-icons (2.8+maemo+svn20090920-1) unstable; urgency=low

  * MUD build using revision {20090920}

 -- Graham Cobb <g+770@cobb.uk.net>  Sun, 20 Sep 2009 07:19:14 +0100

## gpe-icons 2.8%2bmaemo%2bsvn20090927-1

=== debian/changelog ===
gpe-icons (2.8+maemo+svn20090927-1) unstable; urgency=low

  * MUD build using revision {20090927}

 -- Graham Cobb <g+770@cobb.uk.net>  Sun, 27 Sep 2009 13:11:21 +0100

## gpe-icons 2.8%2bmaemo%2bsvn20091005-1

=== debian/changelog ===
gpe-icons (2.8+maemo+svn20091005-1) unstable; urgency=low

  * MUD build using revision {20091005}

 -- Graham Cobb <g+770@cobb.uk.net>  Mon, 05 Oct 2009 07:20:00 +0100

## gpe-icons 2.8%2bmaemo%2bsvn20100128-1

=== debian/changelog ===
gpe-icons (2.8+maemo+svn20100128-1) unstable; urgency=low

  * MUD build using revision {20100128}

 -- Graham Cobb <g+770@cobb.uk.net>  Thu, 28 Jan 2010 16:18:35 +0000

=== debian/control ===
Source: gpe-icons
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: x11
Priority: optional
Maintainer: Graham Cobb <g+770@cobb.uk.net>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.6.1

Package: gpe-icons
Architecture: all
Description: Icons for GPE PIM applications
  Packaged with MUD

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure:
build:

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/gpe-icons.
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/gpe-icons
	install -m 644 -D README $(CURDIR)/debian/gpe-icons/usr/share/doc/gpe-icons/README

binary-arch:

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdocs
#	dh_installexamples
#	dh_installman
#	dh_undocumented
#	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## gpe-icons 2.8%2bmaemo%2bsvn20100129-1

=== debian/changelog ===
gpe-icons (2.8+maemo+svn20100129-1) unstable; urgency=low

  * MUD build using revision {20100129}

 -- Graham Cobb <g+770@cobb.uk.net>  Fri, 29 Jan 2010 10:35:19 +0000

## gpe-icons 2.8%2bmaemo%2bsvn20100212-1

=== Makefile ===
PREFIX = /usr/local
PACKAGE = gpe-icons
PIXMAPS = close.png copy.png cut.png exit.png new.png open.png paste.png save.png save_as.png home.png future_view.png day_view.png week_view.png month_view.png year_view.png cancel.png empty.png properties.png search.png search_and_replace.png delete.png ok.png error.png lock.png lock16.png clock.png stop_clock.png dir-open.png dir-closed.png dir-up.png media-play.png media-pause.png media-stop.png media-fwd.png media-rew.png media-next.png media-prev.png media-eject.png what.png clean.png hide.png help.png question.png about.png left.png right.png highscores.png stop.png preferences.png up.png refresh.png tux-48.png bell.png bell_recur.png recur.png edit.png warning16.png tick.png bt-logo.png loading.png list-view.png icon-view.png clock-popup.png send_and_recieve.png
AUDIO_PIXMAPS = bass.png cd.png line.png mic.png pcm.png speaker.png synth.png treble.png unkn.png volume.png
MONOCHROME = no
CVSBUILD = yes
VERSION = 0.25

PIXMAPS += $(AUDIO_PIXMAPS)

# these are icons that are in CVS for completeness but are not actually used anywhere yet:
# warning48.png

ifeq ($(MONOCHROME),yes)
PIXMAPS_DIR = default-monochrome
else
PIXMAPS_DIR = default
endif

all:

PIXMAPS_DIR = default

install-program:
	for i in $(PIXMAPS); do install -m 644 -D $(PIXMAPS_DIR)/$$i $(DESTDIR)$(PREFIX)/share/pixmaps/gpe/default/$$i; done
	install -D -m 644 gpe-logo.png $(DESTDIR)$(PREFIX)/share/pixmaps/gpe/gpe-logo.png

clean:

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

install: install-program

=== debian/changelog ===
gpe-icons (2.8+maemo+svn20100212-1) unstable; urgency=low

  * MUD build using revision {20100212}

 -- Graham Cobb <g+770@cobb.uk.net>  Fri, 12 Feb 2010 07:17:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: x11
 Priority: optional
 Maintainer: Graham Cobb <g+770@cobb.uk.net>
-Build-Depends: debhelper (>= 4)
+Build-Depends: debhelper (>= 4), maemo-optify
 Standards-Version: 3.6.1
 
 Package: gpe-icons

=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_gencontrol
+	if which maemo-optify >/dev/null ; then maemo-optify ; fi
 	dh_md5sums
 	dh_builddeb
